import * as $dara from '@darabonba/typescript';
import { DescribeCapacityReservationsResponseBody } from "./DescribeCapacityReservationsResponseBody";
export declare class DescribeCapacityReservationsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeCapacityReservationsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
